Summary:	xvinfo application to print X-Video extension adaptor information
Summary(pl.UTF-8):	Aplikacja xvinfo do wypisywania informacji o rozszerzeniu X-Video
Name:		xorg-app-xvinfo
Version:	1.1.5
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xvinfo-%{version}.tar.xz
# Source0-md5:	d698862e9cad153c5fefca6eee964685
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xvinfo prints out the capabilities of any video adaptors associated
with the display that are accessible through the X-Video extension.

%description -l pl.UTF-8
Program xvinfo wypisuje możliwości kart graficznych związanych z
wyświetlaczem, dostępnych poprzez rozszerzenie X-Video.

%prep
%setup -q -n xvinfo-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xvinfo
%{_mandir}/man1/xvinfo.1*
%changelog
* Mon Jul 10 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xvinfo.git;a=log;h=master

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> ecfc318
- updated to 1.1.5

* Fri Feb 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ba80f4c
- updated to 1.1.4

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 4c658f8
- updated to 1.1.3

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 64bb8e5
- fix files
- rel 2

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 13f1efb
- updated to 1.1.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3a3ba8f
- dropped pre-cvs changelog

* Sat Nov 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 9c116e7
- updated to 1.1.1

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> 2c888d7
- updated to 1.1.0

* Fri Nov 09 2007 witekfl <witekfl@pld-linux.org> 0861222
- s|X11/Application|X11/Applications|

* Fri Aug 24 2007 Jakub Bogusz <qboosh@pld-linux.org> f6b0057
- updated to 1.0.2
- real descs from man page

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f21aecb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a15218b
- converted to UTF-8

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> fabb2dd
- use individual dir, more verbose files, release 1

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> d964187
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> a484da1
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 85dbcbd
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 8518db3
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 579805e
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> b3b4720
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 2925cec
- s/pkg-config/pkgconfig/ in BR:

